Subject: Re: Newbie grief

From: Andrew Sayers <[email-masked]>
Date: Fri, 04 May 2012 20:18:20 +0100

On 04/05/12 04:13, Nathan Gray wrote:
> I just led a team of reasonably bright people through a transition
> from SVN to git.  Not one of them understood this message.  Every one
> of them thought something was broken.  This is a very common
> occurrence, so a short, simple message without jargon for this error
> would be a big, big win.

Now you come to mention it, I had the same experience a while back.

The message could certainly do with improvement, but I think this
particular case is more a side-effect of the push.default issue
currently being worked through.  Beginners expect `git push` to push a
single branch, so they see "error" and assume the single branch they
pushed must have failed.

	- Andrew